Refactor Template rendering to use a proper rendering service

02/07/2018 12:19 PM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Templates   

Target version: 1.20.0   

Difficulty:  Fixed in Releases: 1.20.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5683

  

Description

We should refactor template rendering to use a rendering service class and the template scope should also be a dedicated object

and not some controller class.

Related issues:

Related to Foreman Remote Execution - Refactor #24130: plugin should work wit... Closed

Related to Boot disk - Refactor #24147: plugin should work with new template ... Closed

Related to Discovery - Refactor #24148: plugin should work with new template ... Closed

Related to Katello - Refactor #24149: Katello should use Foreman plugin API t... Closed

Related to Foreman - Feature #24294: add snapshot tests for templates Closed

Related to Foreman - Feature #24359: Create localized copies of templates for... New

Related to Foreman - Refactor #24484: snippet rendering should use source to ... Closed

Related to Foreman - Refactor #24496: remove unattended helper Closed

Related to Foreman - Bug #24503: snippets macro does not render a snippet par... Closed

Related to Katello - Bug #24513: React pages don't include Rails url_helpers Closed

Related to Foreman - Bug #25070: Macro snippet_if_exists no longer works Closed

Related to Foreman - Bug #25128: Template Renderer: Variables loader registry... Closed

Related to foreman_setup - Bug #25734:  wrong number of arguments (given 1, e... Closed

Related to Foreman - Bug #25767: XenServer provisioning broken in 1.20 Closed

Associated revisions

Revision f715a7c9 - 07/27/2018 12:56 PM - kamils-iRonin 

Fixes #22529 - Refactor Template rendering to use a proper rendering service (#5683)

History

#1 - 02/18/2018 05:02 AM - google classroom

removed spam bot comment

#2 - 02/28/2018 09:54 AM - Timo Goebel

- Status changed from New to Assigned

- Assignee set to Timo Goebel

#3 - 06/12/2018 11:33 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5683 added

#4 - 06/25/2018 03:59 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

#5 - 07/03/2018 02:04 PM - Timo Goebel
- Related to Refactor #24130: plugin should work with new template rendering engine from core added

#6 - 07/03/2018 02:14 PM - Timo Goebel

- Related to Refactor #24147: plugin should work with new template rendering engine from core added

#7 - 07/03/2018 03:18 PM - Timo Goebel

- Related to Refactor #24148: plugin should work with new template rendering engine from core added

#8 - 07/03/2018 03:23 PM - Timo Goebel

- Related to Refactor #24149: Katello should use Foreman plugin API to register template macros added

#9 - 07/19/2018 09:23 AM - Timo Goebel

- Related to Feature #24294: add snapshot tests for templates added

#10 - 07/24/2018 10:44 AM - Marek Hulán

- Related to Feature #24359: Create localized copies of templates for version control added

#11 - 07/27/2018 12:57 PM - Marek Hulán

- Target version set to 1.20.0

- Triaged set to No

- Fixed in Releases 1.20.0 added

#12 - 07/27/2018 01:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset f715a7c98457c6f43a1f803a75ba4540372d8544.

#13 - 07/30/2018 04:10 PM - Timo Goebel

- Related to Refactor #24484: snippet rendering should use source to find snippet added

#14 - 07/31/2018 03:56 PM - Timo Goebel

- Related to Refactor #24496: remove unattended helper added

#15 - 08/01/2018 09:05 AM - Timo Goebel

- Related to Bug #24503: snippets macro does not render a snippet partial from filesystem added

#16 - 08/01/2018 02:39 PM - Andrew Kofink

- Related to Bug #24513: React pages don't include Rails url_helpers added

#17 - 09/30/2018 12:21 PM - Marek Hulán

- Related to Bug #25070: Macro snippet_if_exists no longer works added

#18 - 10/05/2018 08:03 AM - Timo Goebel

- Related to Bug #25128: Template Renderer: Variables loader registry is not kept when the class is inherited added

#19 - 12/23/2018 03:57 PM - Shimon Shtein

- Related to Bug #25734:  wrong number of arguments (given 1, expected 0) added

#20 - 01/06/2019 05:13 PM - Shimon Shtein

- Related to Bug #25767: XenServer provisioning broken in 1.20 added
